ProvlyDocs

Search docs

Guides and API endpoints

DocsAPI referenceAdsAd media URL

Ad media URL

GET/api/v1/ads/{id}/media-url

The best media file of the ad (video, else image) as a direct URL, with a suggested filename. Metadata only: the file itself is not proxied.

Bearer API keyMCP tool get_ad_media_url

Path parameters

idstringrequired

Ad id.

Try it

GET/api/v1/ads/meta_library_1203944578113742/media-url
curl "https://provly.co/api/v1/ads/meta_library_1203944578113742/media-url" \
  -H "Authorization: Bearer $PROVLY_API_KEY"
200 · Response
{
  "data": {
    "ad_id": "meta_library_1203944578113742",
    "type": "video",
    "url": "https://media.provly.co/meta/1203944578113742.mp4",
    "thumbnail": "https://media.provly.co/meta/1203944578113742.jpg",
    "filename": "meta_library_1203944578113742.mp4"
  }
}